// AcqPhasDlg.cpp : implementation file
#include "stdafx.h"
#include "Bk.h"
#include "AcqPhasDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
//////////////////////////////////////////
// CAcqPhasDlg dialog
CAcqPhasDlg::CAcqPhasDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CAcqPhasDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CAcqPhasDlg)
	m_s = _T("");
	//}}AFX_DATA_INIT
}
void CAcqPhasDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAcqPhasDlg)
	DDX_Control(pDX, IDC_TAB1, m_tabCtrl);
	DDX_Text(pDX, IDC_STATIC16, m_s);
	//}}AFX_DATA_MAP
}
BEGIN_MESSAGE_MAP(CAcqPhasDlg, CDialog)
	//{{AFX_MSG_MAP(CAcqPhasDlg)
	ON_NOTIFY(TCN_SELCHANGE, IDC_TAB1, OnSelchangeTab1)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()
//////////////////////////////////////////
// CAcqPhasDlg message handlers
BOOL CAcqPhasDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	CenterWindow();
	//CTabCtrl
	TC_ITEM TabCtrlItem;
	TabCtrlItem.mask=TCIF_TEXT;
	TabCtrlItem.pszText="Dphaseur Steinbichler";
	m_tabCtrl.InsertItem(0,&TabCtrlItem);
	TabCtrlItem.pszText="Axe motoris P.I.";
	m_tabCtrl.InsertItem(1,&TabCtrlItem);
	OuvertureBoite(0);
	return TRUE;
}
//________________________________________
void CAcqPhasDlg::OuvertureBoite(short No)
{
	CRect l_rectClient;
	CRect l_rectWnd;
	m_tabCtrl.GetClientRect(l_rectClient);
	m_tabCtrl.AdjustRect(FALSE,l_rectClient);
	m_tabCtrl.GetWindowRect(l_rectWnd);
	m_tabCtrl.GetParent()->ScreenToClient(l_rectWnd);
	l_rectClient.OffsetRect(l_rectWnd.left,l_rectWnd.top);
	switch (No)
	{
		case 0://Dphaseur Steinbichler
			if(m_BoitePiDlg.m_hWnd) m_BoitePiDlg.DestroyWindow();
			if(m_BoiteXpDlg.m_hWnd) m_BoiteXpDlg.DestroyWindow();
			m_BoiteSteinDlg.Create(IDD_DEPH_STEIN,this);
			m_BoiteSteinDlg.SetWindowPos(&wndTop,l_rectClient.left,l_rectClient.top,l_rectClient.Width(),l_rectClient.Height(),SWP_SHOWWINDOW);
		break;
		case 1://Platine P.I.
		  if (!(GetVersion() & 0x80000000))
			{
				if(m_BoiteSteinDlg.m_hWnd) m_BoiteSteinDlg.DestroyWindow();
				m_BoiteXpDlg.Create(IDD_XP,this);
				m_BoiteXpDlg.SetWindowPos(&wndTop,l_rectClient.left,l_rectClient.top,l_rectClient.Width(),l_rectClient.Height(),SWP_SHOWWINDOW);
			}
			else
			{
				if(m_BoiteSteinDlg.m_hWnd) m_BoiteSteinDlg.DestroyWindow();
				m_BoitePiDlg.Create(IDD_DEPH_PI,this);
				m_BoitePiDlg.SetWindowPos(&wndTop,l_rectClient.left,l_rectClient.top,l_rectClient.Width(),l_rectClient.Height(),SWP_SHOWWINDOW);
			}
		break;
	}
	m_s.Format("");
	UpdateData(FALSE);
}
//________________________________________
void CAcqPhasDlg::OnSelchangeTab1(NMHDR* pNMHDR, LRESULT* pResult) 
{
	short rubrique=m_tabCtrl.GetCurSel();
	switch(rubrique)
	{
		case 0:
			OuvertureBoite(0);
		break;
		case 1:
			OuvertureBoite(1);
		break;
	}
	*pResult = 0;
}
//________________________________________
void CAcqPhasDlg::OnOK() 
{
	//CDialog::OnOK();
}
//________________________________________
void CAcqPhasDlg::OnCancel() 
{
	CDialog::OnCancel();
}
