// Bk.h : main header file for the BK application
//
#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"       // main symbols
#include "vicdefs.h"
//Carte d'imagerie Meteor_________________
//Carte d'imagerie Orion__________________
/*
#include "mil.h"
#include "mwinmil.h"
#include "milsetup.h"
#include "milerr.h"
long MFTYPE DisplayErrorExt(long HookType, MIL_ID EventId, void MPTYPE *UserDataPtr);
*/
//////////////////////////////////////////
// CBkApp:
// See Bk.cpp for the implementation of this class
class CBkApp : public CWinApp
{
public:
	CBkApp();

	short 
		m_iNo,m_iNb,m_iNbMax,
		m_iL,m_iH,m_iNbB;								//Caractristiques de l'image courante

	BOOL m_iCarte,GrabIsStarted;
	imgdes 
		**imt;													//Images temporaires
	short *m_iBuffer;
	//Echelles pour calibrage_______________
	float
		m_fEchXY,
		m_fEchZ,
		m_fFactXY,m_fFactZ;
	BOOL m_OKCalb;
	//Outils de dessin______________________
	//CBrush pinceau[8];
	CPen plume[8];
	CFont	fonteC[180];
	LOGFONT lf;
	long couleur[8];
	short m_iHaut,m_iEpais;
	short m_iNo_A_Copier;
	//Mires_________________________________
	short m_iInterFr,m_iImoy;
	float m_fContraste,m_fPhase;
	//Seuils________________________________
	short m_iSeuil;
	//Botes de dialogue non modales________
	class CProfilDlg *m_pProfilDlg;
	class CMasqueDlg *m_pMasqueDlg;
	class CExtractDlg *m_pExtractDlg;
	class CCoteDlg *m_pCoteDlg;

	class CAltitudeDlg *m_pAltitudeDlg;
	
	//Visualisation 3D______________________
	BOOL m_bBusy;
	float m_fRadius,m_fAngleX,m_fAngleY,m_fAngleZ;
	//Image  copier_________________________
	class CBkDoc *m_pDocACopier;
	//Acq. images phases___________________
	short m_radioPortSeriePiezo;
	float m_fPhX[4];		//Dphaseur C832
	short m_iPhU[4];		//Dphaseur piezo
	//VSI___________________________________
	float m_fScanning;//m
	short m_iPas;//nm

	//Prototypes des fonctions______________
	void GetDocument(class CBkDoc* pDoc[20]);
	void GetDocumentSansCourant(CBkDoc *p[20]);

	CBkDoc* GetDocument(short No);
	CBkDoc* CreerNouvelleFenetre(short l,short h);
	void FermerFenetre(CBkDoc *pDoc);
	void InitialiserTempo(short No,short l,short h,short nbB);
	void DefinirOutils(void);
	void EffacerOutils(void);
	void PseudoCoul(int w,unsigned char* rouge,unsigned char* vert,unsigned char* bleu);


	//Carte d'imagerie Primo_______________
	/*
	void ExecPrimo(int No);
	struct enreg
	{
		short i;
	};
	enreg e;
	void l_enreg(FILE *f_dir,unsigned short i,struct enreg *e);
	void e_enreg(FILE *f_dir,unsigned short i,struct enreg *e);
	*/
	//Carte d'imagerie Meteor_______________
	//Carte d'imagerie Orion________________
	/*
	long		SizeX;						// Buffer Size X
	long		SizeY;						// Buffer Size Y
	long		DigSizeX;					// Digitizer input width
	long		DigSizeY;					// Digitizer input heigh
	long		Band;				      // Number of input color bands of the digitizer
	CView   *GrabInViewPtr;		// Pointer to the view that has the grab
	long		NumberOfDigitizer;// Number of digitizers available on the system

  MIL_ID 	MilApplication;		// Application identifier.  
  MIL_ID 	MilSystem;     		// System identifier.       
  MIL_ID 	MilDigitizer;			// Digitizer identifier.

	MIL_ID *MilImage;					//Image buffer identifier.
	long *BufferAttributes;		// Buffer attributes that will be allocated

	MAPPHOOKFCTPTR HandlerPtr;
	void* HandlerUserPtr;
	long MFTYPE DisplayError(long HookType, MIL_ID EventId, void MPTYPE *UserDataPtr);
	*/

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBkApp)
	public:
	virtual BOOL InitInstance();
	virtual int ExitInstance();
	//}}AFX_VIRTUAL

// Implementation

	//{{AFX_MSG(CBkApp)
	afx_msg void OnAppAbout();
		// NOTE - the ClassWizard will add and remove member functions here.
		//    DO NOT EDIT what you see in these blocks of generated code !
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
//////////////////////////////////////////
