// ConvDlg.cpp : implementation file
//
#include "stdafx.h"
#include "Bk.h"
#include "ConvDlg.h"
#include "BkDoc.h"
#include "vicdefs.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
//////////////////////////////////////////
// CConvDlg dialog
CConvDlg::CConvDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CConvDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CConvDlg)
	m_s13 = _T("");
	m_radioType = -1;
	//}}AFX_DATA_INIT
}
void CConvDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CConvDlg)
	DDX_Text(pDX, IDC_STATIC13, m_s13);
	DDX_Radio(pDX, IDC_RADIO_TYPE2, m_radioType);
	//}}AFX_DATA_MAP
}
BEGIN_MESSAGE_MAP(CConvDlg, CDialog)
	//{{AFX_MSG_MAP(CConvDlg)
	ON_BN_CLICKED(IDORI, OnOri)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()
//////////////////////////////////////////
// CConvDlg message handlers
BOOL CConvDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	m_pApp=((CBkApp*)AfxGetApp());
	CMDIChildWnd *pChild=((CMDIFrameWnd*)(AfxGetApp()->m_pMainWnd))->MDIGetActive();
	if (pChild) m_pDoc=(CBkDoc*)pChild->GetActiveDocument(); else m_pDoc=NULL;
	m_s13.Format("Image: %s",m_pDoc->m_sNomFic);
	m_radioType=0;
	//Dupliquer image courant dans temporaire n0 pour image originale
	m_pDoc->DupliquerImageDansTempo(0);
	MAJ();
	UpdateData(FALSE);	
	return TRUE;
}
//________________________________________
void CConvDlg::OnOK() 
{
	Appliquer();
	//CDialog::OnOK();
}
//________________________________________
void CConvDlg::OnCancel() 
{
	CDialog::OnCancel();
}
//________________________________________
void CConvDlg::Appliquer() 
{
	short i,j;
	long w;
	unsigned char R,V,B;

	UpdateData(TRUE);
	switch(m_radioType)
	{
		case 0://Ngatif
			m_pDoc->DupliquerImageDansTempo(1);
			negative(m_pApp->imt[1],m_pDoc->image);
		break;
		case 1://N&B
			m_pDoc->DupliquerImageDansTempo(1);
			m_pDoc->InitialiserImage(m_pDoc->m_iL,m_pDoc->m_iH,8);
			colortogray(m_pApp->imt[1],m_pDoc->image);
		break;
		case 2://Pseudo-couleurs
			m_pDoc->DupliquerImageDansTempo(1);
			m_pDoc->InitialiserImage(m_pDoc->m_iL,m_pDoc->m_iH,24);
			for (i=m_pDoc->image->stx;i<=m_pDoc->image->endx;i++)
			{
				for (j=m_pDoc->image->sty;j<=m_pDoc->image->endy;j++)
				{
					w=getpixelcolor(m_pApp->imt[1],i,j);
					m_pApp->PseudoCoul(w,&R,&V,&B);
					w=(long)R+256*V+65536*B;
					setpixelcolor(m_pDoc->image,i,j,w);
				}
			}
		break;
	}
	m_pDoc->UpdateAllViews(NULL);
	MAJ();
}
//________________________________________
void CConvDlg::MAJ() 
{
	if (m_pDoc->image->bmh->biBitCount==8)
	{
		if (m_radioType==1) m_radioType=0;
		UpdateData(FALSE);
		GetDlgItem(IDC_RADIO_TYPE2)->EnableWindow(TRUE);//Ngatif
		GetDlgItem(IDC_RADIO_TYPE)->EnableWindow(FALSE);//N&B
		GetDlgItem(IDC_RADIO_TYPE3)->EnableWindow(TRUE);//Pseudo
	}
	else
	if (m_pDoc->image->bmh->biBitCount!=8)
	{
		if (m_radioType==2) m_radioType=0;
		UpdateData(FALSE);
		GetDlgItem(IDC_RADIO_TYPE2)->EnableWindow(TRUE);//Ngatif
		GetDlgItem(IDC_RADIO_TYPE)->EnableWindow(TRUE);//N&B
		GetDlgItem(IDC_RADIO_TYPE3)->EnableWindow(FALSE);//Pseudo
	}
}
//________________________________________
void CConvDlg::OnOri() 
{
	m_pDoc->InitialiserImage(m_pDoc->m_iL,m_pDoc->m_iH,m_pApp->imt[0]->bmh->biBitCount);
	copyimage(m_pApp->imt[0],m_pDoc->image);
	m_pDoc->UpdateAllViews(NULL);
	MAJ();
}
