// PiDlg.h : header file
//////////////////////////////////////////
// CPiDlg dialog
class CPiDlg : public CDialog
{
// Construction
public:
	CPiDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CPiDlg)
	enum { IDD = IDD_DEPH_PI };
	CButton	m_btnAuto;
	CButton	m_btnVisu;
	CComboBox	m_comboRef;
	CComboBox	m_comboSM256;
	CButton	m_btnSM256;
	CButton	m_btnTempo;
	CString	m_s17;
	CString	m_s14;
	CString	m_sX1;
	CString	m_sX2;
	CString	m_sX3;
	CString	m_sX4;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPiDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void PostNcDestroy();
	//}}AFX_VIRTUAL

// Implementation
protected:
	class CBkApp *m_pApp;
	class CBkDoc *m_ps,*m_pp,*m_pDoc[20],*m_pr;
	class CC832 *m_pC832;

	short m_iNb,m_iN,m_iI;
	BOOL m_OKP;
	float 
		m_fX1,m_fX2,m_fX3,m_fX4;

	imgdes *im0,*im90,*im180,*im270;

	void PremiereFois();
	void Calcul();
	float	atan3(float n,float d);
	void Validite();

	// Generated message map functions
	//{{AFX_MSG(CPiDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnSoustraction();
	afx_msg void OnAcqauto1();
	afx_msg void OnImtempo();
	afx_msg void OnVisu1();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
