// ProjAutoDlg.h : header file
//////////////////////////////////////////
// CProjAutoDlg dialog
class CProjAutoDlg : public CDialog
{
// Construction
public:
	CProjAutoDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CProjAutoDlg)
	enum { IDD = IDD_PROJ_AUTO };
	CButton	m_btnTempo;
	CComboBox	m_comboDest;
	CButton	m_btnDemodul;
	CComboBox	m_comboRef;
	CComboBox	m_comboSM256;
	CButton	m_btnCancel;
	CButton	m_btnAuto;
	CString	m_s;
	CString	m_sInterFr;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CProjAutoDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void PostNcDestroy();
	//}}AFX_VIRTUAL

// Implementation
protected:
	class CBkApp *m_pApp;
	class CBkDoc *m_ps,*m_pd,*m_pp,*m_pr;
	class CBkDoc* m_pDoc[20];

	short m_iInterFr,m_iNb,m_iN,m_iI;
	BOOL m_OKP;

	imgdes *im0,*im90,*im180,*im270;

	void GenererMire(short interfr,float phase);
	void PremiereFois(void);
	void Calcul(void); 
	float atan3(float n,float d);

	// Generated message map functions
	//{{AFX_MSG(CProjAutoDlg)
	afx_msg void OnTimer(UINT nIDEvent);
	virtual BOOL OnInitDialog();
	afx_msg void OnAcqauto();
	afx_msg void OnEmodul();
	afx_msg void OnChangeInterFr();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnImtempo();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
