// ProjDlg.h : header file
//
//////////////////////////////////////////
// CProjDlg dialog

class CProjDlg : public CDialog
{
// Construction
public:
	CProjDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CProjDlg)
	enum { IDD = IDD_PROJECTION };
	CButton	m_btnImTempo;
	CButton	m_btnVisu;
	CComboBox	m_comboPhase;
	CComboBox	m_comboDest;
	CButton	m_btnAuto;
	CButton	m_btnCancel;
	CString	m_sInterFr;
	CString	m_s6;
	//}}AFX_DATA
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CProjDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	class CBkApp *m_pApp;
	class CBkDoc *m_ps,*m_pd,*m_pp,*m_pDoc[10];
	short 
		m_iInterFr,
		m_iNb,m_iN,m_iI;
	BOOL m_OKP;

	imgdes *im0,*im90,*im180,*im270;

	void GenererMire(short interfr,float phase);
	void PremiereFois(void);
	void Calcul(void); 
	float atan3(float n,float d);

	// Generated message map functions
	//{{AFX_MSG(CProjDlg)
	virtual BOOL OnInitDialog();
	virtual void OnCancel();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnVisu();
	afx_msg void OnChangeFreq();
	virtual void OnOK();
	afx_msg void OnAcqauto();
	afx_msg void OnImtempo();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
