// PsiDlg.h : header file
//________________________________________
// CPsiDlg dialog
class CPsiDlg : public CDialog
{
// Construction
public:
	CPsiDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CPsiDlg)
	enum { IDD = IDD_ACQ_PSI };
	CComboBox	m_comboMasque;
	CButton	m_btnFermer;
	CButton	m_btnDemarrer;
	CComboBox	m_comboTopo;
	CComboBox	m_comboPhas;
	float	m_fX90;
	float	m_fXD;
	float	m_fX0;
	float	m_fX180;
	float	m_fX270;
	CString	m_s;
	CString	m_s1;
	BOOL	m_OKAffiche;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPsiDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	short m_iN;	
	BOOL m_OKP;
	class CBkApp *m_pApp;
	class CBkDoc *m_pCam,*m_pPhas,*m_pTopo,*m_pMasque,*m_pDoc[20];
	CBkDoc *m_pInter0,*m_pInter90,*m_pInter180,*m_pInter270;
	class CPiezo *m_pPiezo;

	imgdes *im0,*im90,*im180,*im270;

	void PremiereFois();
	short PositionnerPiezo(float x);
	float atan3(float n,float d);
	void Calcul();
	void OuvreImagesIntermediaires();


	// Generated message map functions
	//{{AFX_MSG(CPsiDlg)
	virtual BOOL OnInitDialog();
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnDemarrer();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
