// TailleWeb.cpp : implementation file
#include "stdafx.h"
#include "Bk.h"
#include "TailleWeb.h"
#include "BkDoc.h"
#include "Webcam.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
//________________________________________
// CTailleWeb dialog
CTailleWeb::CTailleWeb(CWnd* pParent /*=NULL*/)
	: CDialog(CTailleWeb::IDD, pParent)
{
	//{{AFX_DATA_INIT(CTailleWeb)
	m_radioTaille = -1;
	//}}AFX_DATA_INIT
}
//________________________________________
void CTailleWeb::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTailleWeb)
	DDX_Radio(pDX, IDC_RADIO1, m_radioTaille);
	//}}AFX_DATA_MAP
}
BEGIN_MESSAGE_MAP(CTailleWeb, CDialog)
	//{{AFX_MSG_MAP(CTailleWeb)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()
//________________________________________
// CTailleWeb message handlers
BOOL CTailleWeb::OnInitDialog() 
{
	CDialog::OnInitDialog();
	m_pApp=((CBkApp*)AfxGetApp());
  CMDIChildWnd * pChild=((CMDIFrameWnd*)(AfxGetApp()->m_pMainWnd))->MDIGetActive();
  if (pChild) m_pDoc=(CBkDoc*)pChild->GetActiveDocument();

	if (m_pApp->m_iL==320) m_radioTaille=0;	
	if (m_pApp->m_iL==425) m_radioTaille=1;	
	if (m_pApp->m_iL==531) m_radioTaille=2;	
	if (m_pApp->m_iL==640) m_radioTaille=3;	
	UpdateData(FALSE);	
	return TRUE;
}
//________________________________________
void CTailleWeb::OnCancel() 
{
	CDialog::OnCancel();
}
//________________________________________
void CTailleWeb::OnOK() 
{
	UpdateData(TRUE);	
	if (m_radioTaille==0)
	{
		m_pDoc->m_iL=m_pApp->m_iL=320;
		m_pDoc->m_iH=m_pApp->m_iH=240;
	}
	if (m_radioTaille==1)
	{
		m_pDoc->m_iL=m_pApp->m_iL=425;
		m_pDoc->m_iH=m_pApp->m_iH=320;
	}
	if (m_radioTaille==2)
	{
		m_pDoc->m_iL=m_pApp->m_iL=531;
		m_pDoc->m_iH=m_pApp->m_iH=398;
	}
	if (m_radioTaille==3)
	{
		m_pDoc->m_iL=m_pApp->m_iL=640;
		m_pDoc->m_iH=m_pApp->m_iH=480;
	}

	//zeroimage(255,m_pDoc->image);
	//m_pDoc->DimensionnerFenetre(m_pDoc->m_iL,m_pDoc->m_iH);
	//m_pDoc->DefinirCurseurs(m_pDoc->m_iL,m_pDoc->m_iH);

	delete m_pDoc->m_pWeb;
	m_pDoc->m_pWeb=new CWebCam(m_pDoc->m_iL,m_pDoc->m_iH);
	CDialog::OnOK();
}
