// TopoDlg.h : header file
//////////////////////////////////////////
// CTopoDlg dialog
class CTopoDlg : public CDialog
{
// Construction
public:
	CTopoDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CTopoDlg)
	enum { IDD = IDD_TOPOGRAPHIE };
	CComboBox	m_comboCoul;
	CButton	m_btnFermer;
	CProgressCtrl	m_progress;
	CButton	m_btnDemarrer;
	CComboBox	m_comboDest;
	CButton	m_btnArreter;
	int		m_iAcquisitions;
	float	m_fScanning;
	int		m_iPas;
	CString	m_s1;
	CString	m_s2;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTopoDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	class CBkDoc *m_pCam,*m_pDoc[20],*m_pCoul,*m_pDest;
	class CBkApp *m_pApp;
	class CPiezo *m_pPiezo;
	BOOL m_OKP,m_OKBusy;
	short m_iNbAcq,m_iNb,m_iN,m_iU,m_iI;

	void PremiereFois();
	void Analyser(short H,short Hmax);
	short PositionnerPiezo(float x);//En m 
	long Couleur(short h,short hmax);

	// Generated message map functions
	//{{AFX_MSG(CTopoDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnArreter();
	afx_msg void OnDemarrer();
	virtual void OnCancel();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
