//WebCam.cpp : implementation file
#include "stdafx.h"
#include "Bk.h"
#include <vfw.h>
#include "WebCam.h"
#include "BkDoc.h"
//#include "BkView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
//________________________________________
// CWebCam
CWebCam::CWebCam(short l,short h)
{
	//Pointeur sur l'application
	m_pApp=((CBkApp*)AfxGetApp());
	m_iL=l;m_iH=h;
}
//________________________________________
CWebCam::~CWebCam()
{
}
//________________________________________
BEGIN_MESSAGE_MAP(CWebCam, CWnd)
	//{{AFX_MSG_MAP(CWebCam)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()
//________________________________________
// CWebCam message handlers
void CWebCam::Connexion(HWND	hWnd)
{
	//On mmorise le pointeur sur le document pour la dconnexion
	CMDIChildWnd *pChild=((CMDIFrameWnd*)(AfxGetApp()->m_pMainWnd))->MDIGetActive();
	if (pChild) m_pDoc=(CBkDoc*)pChild->GetActiveDocument(); else m_pDoc=NULL;
	Connect(hWnd);
}
//________________________________________
void CWebCam::Connect(HWND	hWnd)
{
	//Connexion  la WebCam
	hWnd_WC=capCreateCaptureWindow("WebCam",WS_CHILD|WS_VISIBLE,0,0,m_iL,m_iH,hWnd,0) ;
	// Vrifie la connection
	if(!capDriverConnect(hWnd_WC,0))
	{
		AfxMessageBox("Erreur de connexion  la Webcam !");
		m_pApp->m_iCarte=0;
	}
	else
	{
		// Taille du preview = taille de la rsolution de la fentre
		capPreviewScale(hWnd_WC,TRUE) ;
		// Rafraichissement en ms
		capPreviewRate(hWnd_WC,15) ;
	}
	//DC 
	hDC_WC=::GetDC(hWnd_WC);
}
//________________________________________
void CWebCam::AfficheWebCam()
{
	// Affiche
	capPreview(hWnd_WC,1) ;
}
//________________________________________
void CWebCam::Deconnexion()
{
	short l,h;
	CString s;
	//On copie dans image temporaire n5
	CopieImage(m_pApp->imt[5]);
	
	capDriverDisconnect(hWnd_WC);

	//Il faut restaurer le DC !!!
	//Position de cette fenetre
	m_pDoc->OuEstLaFenetre(&l,&h);
	s=m_pDoc->m_sNomFic;
	m_pApp->FermerFenetre(m_pDoc);
	//La seule solution que j'ai trouve, c'est de crer une nouvelle fentre duplique !
	CBkDoc *pDoc;
	pDoc=m_pApp->CreerNouvelleFenetre(m_iL,m_iH);
	pDoc->PositionnerFenetre(l,h);
	pDoc->m_sNomFic=s;
	//L'image fige est dans la temporaire n5
	pDoc->DupliquerTempoDansImage(5);
	pDoc->m_iNbB=pDoc->image->bmh->biBitCount;
}
//________________________________________
void CWebCam::DisConnect()
{
	capDriverDisconnect(hWnd_WC);
}
//________________________________________
void CWebCam::GrabStop()
{
	capGrabFrame(hWnd_WC);
}
//________________________________________
void CWebCam::CopieImage(imgdes *im)
{
	short 
		i,j,
		l,h,nbB;
	long R,V,B,w;
	BOOL okNB;
	//on regarde si l'acquisition est en nuance de gris
	w=::GetPixel(hDC_WC,m_iL/2,m_iH/2);
	
	R=w&255;
	V=(w/256)&255;
	B=(w/65536)&255;
	if (R==V && R==B) okNB=TRUE; else okNB=FALSE;

	l=im->endx-im->stx+1;
	h=im->endy-im->sty+1;
	nbB=im->bmh->biBitCount;

	if (okNB==FALSE)
	{
		//Couleur
		if (l!=m_iL || h!=m_iH || nbB!=24)
		{
			freeimage(im);
			allocimage(im,m_iL,m_iH,24);
		}
	}
	else
	{
		//NB
		if (l!=m_iL || h!=m_iH || nbB!=8)
		{
			freeimage(im);
			allocimage(im,m_iL,m_iH,8);
		}
	}
	for (i=0;i<m_iL;i++)
	{
		for (j=0;j<m_iH;j++)
		{
			w=::GetPixel(hDC_WC,i,j);
			if (okNB==FALSE)
			{
				//Couleur
				setpixelcolor(im,i,j,w);
			}
			else
			{
				//N&B
				setpixelcolor(im,i,j,w&255);
			}
		}
	}
}
