// AcqProjMaDlg.h : header file
//////////////////////////////////////////
// CAcqProjMaDlg dialog
class CAcqProjMaDlg : public CDialog
{
// Construction
public:
	CAcqProjMaDlg(CWnd* pParent = NULL);   // standard constructor
// Dialog Data
	//{{AFX_DATA(CAcqProjMaDlg)
	enum { IDD = IDD_ACQ_IM_PROJ };
	CButton	m_btnCancel;
	CButton	m_btnOK;
	CComboBox	m_comboCamera;
	CString	m_s8;
	int		m_iInterFr;
	float	m_fPhase;
	//}}AFX_DATA
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAcqProjMaDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void PostNcDestroy();
	//}}AFX_VIRTUAL

// Implementation
protected:
	class CBkApp *m_pApp;
	class CBkDoc *m_pCam,*m_pProj;
	class CBkDoc* m_pDoc[20];
	short m_iN;

	void GenererMire(short interfr,float phase);

	// Generated message map functions
	//{{AFX_MSG(CAcqProjMaDlg)
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnTimer(UINT nIDEvent);
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
