// DemodDlg.cpp : implementation file
#include "stdafx.h"
#include "Bk.h"
#include "DemodDlg.h"
#include "BkDoc.h"
#include "Demodul.h"
#include "BkView.h"
#include "vicdefs.h"
#include <locale.h>

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
//________________________________________
// CDemodDlg dialog
CDemodDlg::CDemodDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CDemodDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDemodDlg)
	m_radioMasque = -1;
	m_OKCorrection = FALSE;
	m_OKLabel = FALSE;
	m_OKDiscontinuite = FALSE;
	m_OKPole = FALSE;
	m_radioTypeIm = -1;
	m_radioTypeMerite = -1;
	m_radioDetecBruitFond = -1;
	m_OKBruitFond = FALSE;
	m_OKFrangesFines = FALSE;
	m_OKInversion = FALSE;
	m_s4 = _T("");
	//}}AFX_DATA_INIT
}
void CDemodDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDemodDlg)
	DDX_Control(pDX, IDCANCEL, m_btnCancel);
	DDX_Control(pDX, IDRESET, m_btnReset);
	DDX_Control(pDX, IDDEMODUL, m_btnDemodul);
	DDX_Control(pDX, IDC_LIST1, m_liste);
	DDX_Control(pDX, IDC_DEMODUL, m_comboOut);
	DDX_Control(pDX, IDC_PHAS, m_comboIn);
	DDX_Control(pDX, IDC_FRINGES_ORDER, m_comboCorrection);
	DDX_Control(pDX, IDC_LABEL, m_comboLabel);
	DDX_Control(pDX, IDC_MASQUE, m_comboMasque);
	DDX_Radio(pDX, IDC_MASQ, m_radioMasque);
	DDX_Check(pDX, IDC_CORR, m_OKCorrection);
	DDX_Check(pDX, IDC_LAB, m_OKLabel);
	DDX_Check(pDX, IDC_DISCON, m_OKDiscontinuite);
	DDX_Check(pDX, IDC_POLES, m_OKPole);
	DDX_Radio(pDX, IDC_FONCT, m_radioTypeIm);
	DDX_Radio(pDX, IDC_VAR, m_radioTypeMerite);
	DDX_Radio(pDX, IDC_BRUIT_FOND, m_radioDetecBruitFond);
	DDX_Check(pDX, IDC_BRUIT, m_OKBruitFond);
	DDX_Check(pDX, IDC_FRANGES, m_OKFrangesFines);
	DDX_Check(pDX, IDC_INVERSION, m_OKInversion);
	DDX_Text(pDX, IDC_STATIC4, m_s4);
	//}}AFX_DATA_MAP
}
BEGIN_MESSAGE_MAP(CDemodDlg, CDialog)
	//{{AFX_MSG_MAP(CDemodDlg)
	ON_WM_TIMER()
	ON_BN_CLICKED(IDC_FONCT, OnFonct)
	ON_BN_CLICKED(IDC_FONCT2, OnFonct2)
	ON_BN_CLICKED(IDC_FONCT3, OnFonct3)
	ON_BN_CLICKED(IDRESET, OnReset)
	ON_BN_CLICKED(IDC_BRUIT, OnBruit)
	ON_BN_CLICKED(IDC_FRANGES, OnFranges)
	ON_BN_CLICKED(IDDEMODUL, OnDemodul)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()
//________________________________________
// CDemodDlg message handlers
void CDemodDlg::ParDefaut() 
{
	//Pas d'image masque
	m_radioMasque=0;
	//Pas de fringe order image (correction)
	m_OKCorrection=FALSE;
	//Pas d'image label
	m_OKLabel=FALSE;
	//Pas de dtection des discontinuits
	m_OKDiscontinuite=FALSE;
	//Pas de dtection des ples
	m_OKPole=FALSE;
	//Image normale
	m_radioTypeIm=0;
	//Fonction de mrite variance
	m_radioTypeMerite=0;
	//Pas de dtection de bruit de fond
	m_OKBruitFond=FALSE;
	m_radioDetecBruitFond=0;
	//Pas de franges fines
	m_OKFrangesFines=FALSE;
}
//________________________________________
BOOL CDemodDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	short i,j;
	CString s;
	short n;
	m_pApp=((CBkApp*)AfxGetApp());
	//Tableau de pointeurs sur les documents ouverts
	m_pApp->GetDocument(m_pDoc);
	for (i=0;i<20;i++)
	{
		if (m_pDoc[i]!=NULL)
		{
			s.Format("%s",m_pDoc[i]->m_sNomFic);	
			m_comboIn.AddString(s);
			m_comboOut.AddString(s);
			m_comboCorrection.AddString(s);
			m_comboLabel.AddString(s);
			m_comboMasque.AddString(s);
		}         
	}
	//Ordre des franges->m_comboCorrection
	s="NOUV. IMAGE";
	m_comboOut.AddString(s);
	m_comboLabel.AddString(s);
	m_comboCorrection.AddString(s);
	
	//Attribution des images par dfaut
	m_comboIn.GetLBText(0,s);
	m_comboIn.SetWindowText(s);	

	m_comboMasque.GetLBText(0,s);
	m_comboMasque.SetWindowText(s);	

	i=m_comboOut.GetCount()-1;if (i<0) i=0;
	m_comboOut.GetLBText(i,s);
	m_comboOut.SetWindowText(s);	

	i=m_comboCorrection.GetCount()-1;if (i<0) i=0;
	m_comboCorrection.GetLBText(i,s);
	m_comboCorrection.SetWindowText(s);	

	i=m_comboLabel.GetCount()-1;if (i<0) i=0;
	m_comboLabel.GetLBText(i,s);
	m_comboLabel.SetWindowText(s);

	UpdateData(FALSE);
	ParDefaut();
	UpdateData(FALSE);
	SetTimer(1,20,NULL);
	return TRUE;
}
//________________________________________
void CDemodDlg::OnCancel() 
{
	KillTimer(1);
	CDialog::OnCancel();
}
//________________________________________
void CDemodDlg::OnDemodul() 
{
	long mode;
	CString s;
	short 
		l,h,nbB,
		i,rcode=0;
	KillTimer(1);
	//Mise  jour de mode
	mode=0;
	if (m_OKCorrection) mode=mode+2;							//Image correction
	if (m_OKLabel) mode=mode+128;									//Image label
	if (m_radioMasque==1) mode=mode+256;					//Image masque dfinie

	if (m_radioTypeMerite==0) mode=mode+16;				//Image ordinaire, fonction de mrite variance
	if (m_radioTypeMerite==1) mode=mode+1024;			//Fonction de mrite linarit
	if (m_radioTypeMerite==2) mode=mode+512;			//Laplacien
	if (m_radioTypeMerite==3) mode=mode+2048;			//Moindres carrs 5x5

	if (m_OKDiscontinuite) mode=mode+1;						//Dtection des discontinuits (moindres carrs 3x3)
	if (m_OKPole) mode=mode+4;										//Dtection des ples

	if (m_radioDetecBruitFond==1) mode=mode+8;		//Dtection de bruit de fond type 1
	if (m_radioDetecBruitFond==2) mode=mode+64;		//Dtection de bruit de fond type 2
	if (m_radioDetecBruitFond==3) mode=mode+64+32;//Dtection de bruit de fond type 3 (type 2 + rosion)

	if (m_OKInversion) mode=mode+4096;						//Inversion de la dmodulation


	//Gestion des images
	//1. Image out__________________________
	CMDIChildWnd *pChild;
	if (m_pOut==NULL)
	{
		//Si la fentre out n'existe pas, il faut la crer en 24 bits...
		SendMessage(WM_COMMAND,ID_FILE_NEW,0);
		//Pointeur sur document out
		pChild=((CMDIFrameWnd*)(AfxGetApp()->m_pMainWnd))->MDIGetActive();
		m_pOut=(CBkDoc*)pChild->GetActiveDocument();
	}
	//CString z;z.Format("%d",m_pIn->m_iNo);AfxMessageBox(z);
	

	//Image out en 24 bits
	l=m_pOut->image->endx-m_pOut->image->stx+1;
	h=m_pOut->image->endy-m_pOut->image->sty+1;
	nbB=m_pOut->image->bmh->biBitCount;
	if (l!=m_pIn->m_iL || h!=m_pIn->m_iH || nbB!=24)
	{
		freeimage(m_pOut->image);
		rcode=allocimage(m_pOut->image,m_pIn->m_iL,m_pIn->m_iH,24);
	}
	//	AfxMessageBox("ici");

	if (rcode!=0) AfxMessageBox("(1) Erreur dans fonction CDemodDlg::OnDemodul");

	m_pOut->m_iL=m_pIn->m_iL;
	m_pOut->m_iH=m_pIn->m_iH;
	m_pOut->m_iNbB=24;
	//Dimensionner out  la taille de in
	m_pOut->DimensionnerFenetre(m_pIn->m_iL,m_pIn->m_iH);
	m_pOut->DefinirCurseurs(m_pIn->m_iL,m_pIn->m_iH);

	//09/10/03: Ajout valeur de M au nom de l'image dmodule
	//m_pOut->m_sNomFic="ImDemod";
	
	m_pOut->m_iType=0;
	m_pOut->PositionnerFenetre(0,0);
	//m_pOut->UpdateAllViews(NULL);

	//2. Image label__________________________________
	if (m_OKLabel)
	{
		if (m_pLabel==NULL)
		{
			//Si la fentre out n'existe pas, il faut la crer...
			SendMessage(WM_COMMAND,ID_FILE_NEW,0);
			//Pointeur sur destination
			pChild=((CMDIFrameWnd*)(AfxGetApp()->m_pMainWnd))->MDIGetActive();
			m_pLabel=(CBkDoc*)pChild->GetActiveDocument();
			
		}
		//Image label en 24 bits
		l=m_pLabel->image->endx-m_pLabel->image->stx+1;
		h=m_pLabel->image->endy-m_pLabel->image->sty+1;
		nbB=m_pLabel->image->bmh->biBitCount;
		if (l!=m_pIn->m_iL || h!=m_pIn->m_iH || nbB!=24)
		{
			freeimage(m_pLabel->image);
			rcode=allocimage(m_pLabel->image,m_pIn->m_iL,m_pIn->m_iH,24);
		}

		if (rcode!=0) AfxMessageBox("(2) Erreur dans fonction CDemodDlg::OnDemodul");

		m_pLabel->m_iL=m_pIn->m_iL;
		m_pLabel->m_iH=m_pIn->m_iH;
		m_pLabel->m_iNbB=24;
		//Dimensionner label  la taille de in
		m_pLabel->DimensionnerFenetre(m_pIn->m_iL,m_pIn->m_iH);
		m_pLabel->DefinirCurseurs(m_pIn->m_iL,m_pIn->m_iH);
		m_pLabel->m_sNomFic="ImLabel";
		m_pLabel->m_iType=0;
		m_pLabel->UpdateAllViews(NULL);
	}
	//3. Image correction (ordre des franges)_________
	if (m_OKCorrection)
	{
		if (m_pCorrection==NULL)
		{
			//Si la fentre out n'existe pas, il faut la crer...
			SendMessage(WM_COMMAND,ID_FILE_NEW,0);
			//Pointeur sur destination
			pChild=((CMDIFrameWnd*)(AfxGetApp()->m_pMainWnd))->MDIGetActive();
			m_pCorrection=(CBkDoc*)pChild->GetActiveDocument();
		}
		//Image ordre des franges en 8 bits
		l=m_pCorrection->image->endx-m_pCorrection->image->stx+1;
		h=m_pCorrection->image->endy-m_pCorrection->image->sty+1;
		nbB=m_pCorrection->image->bmh->biBitCount;
		if (l!=m_pIn->m_iL || h!=m_pIn->m_iH || nbB!=8)
		{
			freeimage(m_pCorrection->image);
			rcode=allocimage(m_pCorrection->image,m_pIn->m_iL,m_pIn->m_iH,8);
		}

		if (rcode!=0) AfxMessageBox("(3) Erreur dans fonction CDemodDlg::OnDemodul");

		m_pCorrection->m_iL=m_pIn->m_iL;
		m_pCorrection->m_iH=m_pIn->m_iH;
		m_pCorrection->m_iNbB=8;
		//Dimensionner correction  la taille de in
		m_pCorrection->DimensionnerFenetre(m_pIn->m_iL,m_pIn->m_iH);
		m_pCorrection->DefinirCurseurs(m_pIn->m_iL,m_pIn->m_iH);
		m_pCorrection->m_sNomFic="ImOrdre";
		m_pCorrection->m_iType=0;
		m_pCorrection->UpdateAllViews(NULL);
	}
	if (m_radioMasque==0)
	{
		//C'est l'image in qui est le masque
		m_pMasque=m_pIn;
	}
	
	m_btnCancel.EnableWindow(FALSE);
	m_btnReset.EnableWindow(FALSE);
	m_btnDemodul.EnableWindow(FALSE);

	//Dmodulation
	m_pDemodul=new CDemodul(m_pIn,m_pOut,mode,m_pMasque,m_pLabel,m_pCorrection);
	i=m_pDemodul->sdewrap();
	//Incrustation dans image dmodule
	//CTime t; 
	//setlocale(LC_TIME,"French");
	//t=CTime::GetCurrentTime();   
	//m_pOut->m_pView->IncrustationChaine(m_pOut->m_iL-23*8,m_pOut->m_iH-2,t.Format("(VISUIM_METEOR)%d/%m/%y"));

	//Nb. de plis de l'image (passage par 2PI)
	m_pOut->m_iM=i; 

	//m_pOut->m_pView->IncrustationChaine(m_pOut->m_iL-s.GetLength()*8,m_pOut->m_iH-12,s);

	//09/10/03: Ajout valeur de M au nom de l'image dmodule et de l'image ordre des franges
	m_pOut->m_sNomFic.Format("ImDemod_M%d",i);

	if (m_OKCorrection)
	{
		m_pCorrection->m_sNomFic.Format("ImOrdre_M%d",i);
	}
		
	m_btnCancel.EnableWindow(TRUE);
	//On ne peut faire qu'une fois la dmodulation...
	//m_btnReset.EnableWindow(TRUE);
	//m_btnDemodul.EnableWindow(TRUE);
	KillTimer(1);

	m_liste.ResetContent();
	for (i=0;i<m_pDemodul->m_liste.GetSize();i++)
	{
		m_liste.AddString(m_pDemodul->m_liste.GetAt(i));
	}
	UpdateData(FALSE);
	delete m_pDemodul;

}
//__________________________________________________
void CDemodDlg::OnTimer(UINT nIDEvent) 
{
	short i;
	BOOL ok=TRUE;

	UpdateData(TRUE);
	//Validation du bouton OK si 5 images diffrentes slectionnes
	//Si l'utilisateur n'a pas touch aux combos...
	if (m_comboIn.GetCurSel()<0)
		m_pIn=m_pDoc[0];
	else
		m_pIn=m_pDoc[m_comboIn.GetCurSel()];

	if (m_comboMasque.GetCurSel()<0)
		m_pMasque=m_pDoc[0];
	else
		m_pMasque=m_pDoc[m_comboMasque.GetCurSel()];

	if (m_comboOut.GetCurSel()<0)
		m_pOut=m_pDoc[m_comboOut.GetCount()-1];
	else
		m_pOut=m_pDoc[m_comboOut.GetCurSel()];

	if (m_comboLabel.GetCurSel()<0)
		m_pLabel=m_pDoc[m_comboLabel.GetCount()-1];
	else
		m_pLabel=m_pDoc[m_comboLabel.GetCurSel()];

	if (m_comboCorrection.GetCurSel()<0) 
		m_pCorrection=m_pDoc[m_comboCorrection.GetCount()-1];
	else
		m_pCorrection=m_pDoc[m_comboCorrection.GetCurSel()];

	m_s4.Format("");
	if (m_pIn==m_pOut) ok=FALSE; 
	//Ordre des franges->m_comboCorrection
	if (m_OKCorrection)
	{
		if (m_pCorrection==m_pIn) ok=FALSE;
		if (m_pCorrection==m_pOut) 
		{
			if (m_pCorrection!=NULL) ok=FALSE;
		}
		if (m_radioMasque==1)
		{
			//Image masque dfinie
			if (m_pCorrection==m_pMasque) ok=FALSE;
		}
		if (m_OKLabel)
		{
			//Image label dfinie
			if (m_pCorrection==m_pLabel) ok=FALSE;
		}
	}		
	if (m_OKLabel)
	{
		if (m_pLabel==m_pIn) ok=FALSE;
		if (m_pLabel==m_pOut) ok=FALSE;
		if (m_radioMasque==1)
		{
			//Image masque dfinie
			if (m_pLabel==m_pMasque) ok=FALSE;
		}
		if (m_OKCorrection)
		{
			if (m_pLabel==m_pCorrection) ok=FALSE;
		}
	}
	//Si l'image masque et l'image in n'existe pas, invalidation de OK
	if (m_pIn==NULL) ok=FALSE;
	if (m_radioMasque==1)
	{
		GetDlgItem(IDC_MASQUE)->EnableWindow(TRUE);
		//Image masque slectionne
		if (m_pMasque==NULL) ok=FALSE;
		if (m_pMasque==m_pIn) ok=FALSE;
	}
	else
	{
		//Invalidation image masque
		GetDlgItem(IDC_MASQUE)->EnableWindow(FALSE);
	}
	if (!ok)
	{
		m_btnDemodul.EnableWindow(FALSE);
		//m_s.Format("Les images sont mal slectionnes !");
	}
	else
	{
		//m_s.Format("");
		m_btnDemodul.EnableWindow(TRUE);
	}
	if (m_OKCorrection)
	{
		GetDlgItem(IDC_FRINGES_ORDER)->EnableWindow(TRUE);
	}
	else
	{
		GetDlgItem(IDC_FRINGES_ORDER)->EnableWindow(FALSE);
	}
	if (m_OKLabel)
	{
		GetDlgItem(IDC_LABEL)->EnableWindow(TRUE);
	}
	else
	{
		GetDlgItem(IDC_LABEL)->EnableWindow(FALSE);
	}
	UpdateData(FALSE);
	CDialog::OnTimer(nIDEvent);
}
//__________________________________________________
void CDemodDlg::OnFonct() 
{
	//Si on clique sur image normale, fonction de mrite variance
	UpdateData(TRUE);	
	m_radioTypeMerite=0;
	m_OKDiscontinuite=FALSE;
	UpdateData(FALSE);	
}
//__________________________________________________
void CDemodDlg::OnFonct2() 
{
	//Si on clique sur image avec des discontinuits, fonction de mrite variance plus dtection
	//de discontinuits physiques
	UpdateData(TRUE);	
	m_radioTypeMerite=0;
	m_OKDiscontinuite=TRUE;	
	UpdateData(FALSE);	
}
//__________________________________________________
void CDemodDlg::OnFonct3() 
{
	//Si on clique sur image avec grandes discontinuits, fonction de mrite moindres carrs plus dtection
	//de discontinuits physiques
	UpdateData(TRUE);	
	m_radioTypeMerite=3;
	m_OKDiscontinuite=TRUE;	
	UpdateData(FALSE);	
}
//__________________________________________________
void CDemodDlg::OnReset() 
{
	ParDefaut()	;
	UpdateData(FALSE);	
}
//__________________________________________________
void CDemodDlg::OnBruit() 
{
	//Image avec bruit de fond continu
	UpdateData(TRUE);	
	if (m_OKBruitFond) m_radioDetecBruitFond=2; else m_radioDetecBruitFond=0;
	UpdateData(FALSE);	
}
//__________________________________________________
void CDemodDlg::OnFranges() 
{
	//Images avec franges fines
	//Ajout dtection ples
	UpdateData(TRUE);	
	if (m_OKFrangesFines) m_OKPole=TRUE; else m_OKPole=FALSE;
	UpdateData(FALSE);	
}
