// DemodDlg.h : header file
//
/////////////////////////////////////////////////////////////////////////////
// CDemodDlg dialog
class CDemodDlg : public CDialog
{
// Construction
public:
	CDemodDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CDemodDlg)
	enum { IDD = IDD_DEMODUL };
	CButton	m_btnCancel;
	CButton	m_btnReset;
	CButton	m_btnDemodul;
	CListBox	m_liste;
	CComboBox	m_comboOut;
	CComboBox	m_comboIn;
	CComboBox	m_comboCorrection;
	CComboBox	m_comboLabel;
	CComboBox	m_comboMasque;
	int		m_radioMasque;
	BOOL	m_OKCorrection;
	BOOL	m_OKLabel;
	BOOL	m_OKDiscontinuite;
	BOOL	m_OKPole;
	int		m_radioTypeIm;
	int		m_radioTypeMerite;
	int		m_radioDetecBruitFond;
	BOOL	m_OKBruitFond;
	BOOL	m_OKFrangesFines;
	BOOL	m_OKInversion;
	CString	m_s4;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDemodDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void ParDefaut();

	class CBkApp* m_pApp;
	class CDemodul *m_pDemodul;
	class CBkDoc* m_pIn;
	class CBkDoc* m_pOut;
	class CBkDoc* m_pMasque;
	class CBkDoc* m_pCorrection;
	class CBkDoc* m_pLabel;
	class CBkDoc* m_pDoc[20];

	//N des images
	//short m_iIn,m_iOut,m_iMasque,m_iLabel,m_iCorrection;

	// Generated message map functions
	//{{AFX_MSG(CDemodDlg)
	virtual BOOL OnInitDialog();
	virtual void OnCancel();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnFonct();
	afx_msg void OnFonct2();
	afx_msg void OnFonct3();
	afx_msg void OnReset();
	afx_msg void OnBruit();
	afx_msg void OnFranges();
	afx_msg void OnDemodul();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
