// Fft.h : header file
//
///////////////////////////////////////////////////
class CFft : public CWnd
{
// Construction
public:
	CFft();

protected:
	float Pi;
	//Bote d'avancement de la tche
	class CProgrDlg* m_pProg;
	
public:
	void tfd2d(float **x, float **xtre, float **xtim,unsigned int width,unsigned int height);
	void tfd2d_inv(float **xtre, float **xtim, float **xrec_re, float **xrec_im, unsigned int width, unsigned int height);

	void fft2d(float **x, float **xtre, float **xtim, unsigned int width, unsigned int height);
	void fft2d_inv(float **xtre, float **xtim, float **xrec_re, float **xrec_im, unsigned int width, unsigned int height);
	void fft(float* x_int_re, float* x_int_im, unsigned int taille);
	void fft_inv(float* x_int_re, float* x_int_im, unsigned int taille);
	float **allocate2D(unsigned int h,unsigned int l);
	float *allocate1D(unsigned int l);


	void free1D(float * vecteur);
	void free2D(float ** matrice,unsigned int h);
	short _ISNextPowerOfTwo(short i);


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFft)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CFft();

	// Generated message map functions
protected:
	//{{AFX_MSG(CFft)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
