// MainFrm.h : interface of the CMainFrame class
//////////////////////////////////////////
class CMainFrame : public CMDIFrameWnd
{
	DECLARE_DYNAMIC(CMainFrame)
public:
	CMainFrame();

// Attributes
protected:
	class CBkApp* m_pApp;
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;

	void FigerAcq(void);

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnUpdateCoordonnees(CCmdUI *pCmdUI);
	afx_msg void OnUpdateUnites(CCmdUI *pCmdUI);
	afx_msg void OnUpdateFileNouveau(CCmdUI *pCmdUI);
	afx_msg void OnUpdateNoFen(CCmdUI *pCmdUI);
	afx_msg void OnUpdateFichierOuvrir(CCmdUI* pCmdUI);
	afx_msg void OnFichierOuvrir();
	afx_msg void OnFichierSauver();
	afx_msg void OnUpdateFileNew(CCmdUI* pCmdUI);
	afx_msg void OnOpMathLog();
	afx_msg void OnUpdateProfils(CCmdUI* pCmdUI);
	afx_msg void OnProfils();
	afx_msg void OnUpdateMasque(CCmdUI* pCmdUI);
	afx_msg void OnMasque();
	afx_msg void OnUpdateAcqfig(CCmdUI* pCmdUI);
	afx_msg void OnAcqfig();
	afx_msg void OnUpdateAcqperm(CCmdUI* pCmdUI);
	afx_msg void OnAcqperm();
	afx_msg void OnUpdateAppExit(CCmdUI* pCmdUI);
	afx_msg void OnFichierEnregisSous();
	afx_msg void OnAjusterParametres();
	afx_msg void OnMulCte();
	afx_msg void OnGenerationMire();
	afx_msg void OnDemodul();
	afx_msg void OnUpdateCalculImPhase4(CCmdUI* pCmdUI);
	afx_msg void OnCalculImPhase4();
	afx_msg void OnVisu3d();
	afx_msg void OnCalibration();
	afx_msg void OnUpdateVisuPseudo(CCmdUI* pCmdUI);
	afx_msg void OnVisuPseudo();
	afx_msg void OnUpdateTempsReel(CCmdUI* pCmdUI);
	afx_msg void OnTempsReel();
	afx_msg void OnFiltres();
	afx_msg void OnFiltrageMorphologique();
	afx_msg void OnSeuillage();
	afx_msg void OnUpdateExtraction(CCmdUI* pCmdUI);
	afx_msg void OnExtraction();
	afx_msg void OnZoomImage();
	afx_msg void OnConversion();
	afx_msg void OnEditCopy();
	afx_msg void OnUpdateEditPaste(CCmdUI* pCmdUI);
	afx_msg void OnEditPaste();
	afx_msg void OnCollerPressePapier();
	afx_msg void OnFft2d();
	afx_msg void OnUpdateCotation(CCmdUI* pCmdUI);
	afx_msg void OnCotation();
	afx_msg void OnAcqImPhas4();
	afx_msg void OnPilotageDephStein();
	afx_msg void OnAxeSortieSurcourse();
	afx_msg void OnUpdateAxeSortieSurcourse(CCmdUI* pCmdUI);
	afx_msg void OnUpdateDepManuMot(CCmdUI* pCmdUI);
	afx_msg void OnDepManuMot();
	afx_msg void OnTempsMoy();
	afx_msg void OnAcqTopo();
	afx_msg void OnUpdateAltitude(CCmdUI* pCmdUI);
	afx_msg void OnAltitude();
	afx_msg void OnUpdateVisu3d(CCmdUI* pCmdUI);
	afx_msg void OnWebcamTaille();
	afx_msg void OnUpdatePsiAcqTopo(CCmdUI* pCmdUI);
	afx_msg void OnPsiAcqTopo();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
//////////////////////////////////////////
