// Phas4Dlg.cpp : implementation file
#include "stdafx.h"
#include "Bk.h"
#include "Vicdefs.h"
#include "Phas4Dlg.h"
#include "BkDoc.h"
#include <math.h>

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
//________________________________________
// CPhas4Dlg dialog
CPhas4Dlg::CPhas4Dlg(CWnd* pParent /*=NULL*/)
	: CDialog(CPhas4Dlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CPhas4Dlg)
	m_s7 = _T("");
	//}}AFX_DATA_INIT
}
void CPhas4Dlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPhas4Dlg)
	DDX_Control(pDX, IDC_DEST2, m_comboDest);
	DDX_Control(pDX, IDOK, m_btnOK);
	DDX_Control(pDX, IDC_SOURCE3, m_comboSource3);
	DDX_Control(pDX, IDC_SOURCE4, m_comboSource4);
	DDX_Control(pDX, IDC_SOURCE2, m_comboSource2);
	DDX_Control(pDX, IDC_SOURCE1, m_comboSource1);
	DDX_Text(pDX, IDC_STATIC7, m_s7);
	//}}AFX_DATA_MAP
}
BEGIN_MESSAGE_MAP(CPhas4Dlg, CDialog)
	//{{AFX_MSG_MAP(CPhas4Dlg)
	ON_WM_TIMER()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()
//________________________________________
// CPhas4Dlg message handlers
BOOL CPhas4Dlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	short n,i,j;
	CString s;
	m_pApp=((CBkApp*)AfxGetApp());
	m_pApp->GetDocument(m_pDoc);
	j=0;
	for (i=0;i<20;i++)
	{
		if (m_pDoc[i]!=NULL)
		{
			s.Format("%s",m_pDoc[i]->m_sNomFic);	
			m_comboDest.AddString(s);
			m_comboSource1.AddString(s);
			m_comboSource2.AddString(s);
			m_comboSource3.AddString(s);
			m_comboSource4.AddString(s);
			j++;
		}
	}
	s="NOUV. IMAGE";
	m_comboDest.AddString(s);
	m_OK=FALSE;
	m_btnOK.EnableWindow(FALSE);
	if (j>=4)
	{
		SetTimer(91,200,NULL);
	}
	else
	{
		m_s7="Il faut 4 images diffrentes !";
	}

	i=m_comboSource1.GetCount()-4;if (i<0) i=0;
	m_comboSource1.GetLBText(i,s);
	m_comboSource1.SetWindowText(s);	
	i=m_comboSource2.GetCount()-3;if (i<0) i=0;
	m_comboSource2.GetLBText(i,s);
	m_comboSource2.SetWindowText(s);	
	//Par dfaut sur avant-dernire image
	i=m_comboSource3.GetCount()-2;if (i<0) i=0;
	m_comboSource3.GetLBText(i,s);
	m_comboSource3.SetWindowText(s);	
	//Par dfaut sur dernire image
	i=m_comboSource4.GetCount()-1;if (i<0) i=0;
	m_comboSource4.GetLBText(i,s);
	m_comboSource4.SetWindowText(s);
	//Par dfaut sur nouvelle image
	m_comboDest.GetLBText(m_comboDest.GetCount()-1,s);
	m_comboDest.SetWindowText(s);	
	
	UpdateData(FALSE);
	return TRUE;
}
//________________________________________
void CPhas4Dlg::OnCancel() 
{
	KillTimer(91);
	CDialog::OnCancel();
}
//________________________________________
void CPhas4Dlg::OnOK() 
{
	int rcode=0;
	short i,j;
	long w,w1,w2,w3,w4;

	KillTimer(91);
	/*
	CString z;
	z.Format("Im0:%s\nIm90:%s\nIm180:%s\nIm270:%s",m_ps1->m_sNomFic,m_ps2->m_sNomFic,m_ps3->m_sNomFic,m_ps4->m_sNomFic);AfxMessageBox(z);
	*/
	//Si la fentre destination n'existe pas, il faut la crer...
	CMDIChildWnd *pChild;
	if (m_pd==NULL)
	{
		//L'image destination existe maintenant.
		SendMessage(WM_COMMAND,ID_FILE_NEW,0);
		pChild=((CMDIFrameWnd*)(AfxGetApp()->m_pMainWnd))->MDIGetActive();
		m_pd=(CBkDoc*)pChild->GetActiveDocument();
	}

	short
		l,h,nbB,
		l1,h1,nbB1,
		l2,h2,nbB2;

	l=m_ps1->image->endx-m_ps1->image->stx+1;
	h=m_ps1->image->endy-m_ps1->image->sty+1;
	nbB=m_ps1->image->bmh->biBitCount;
	l1=m_pd->image->endx-m_pd->image->stx+1;
	h1=m_pd->image->endy-m_pd->image->sty+1;
	nbB1=m_pd->image->bmh->biBitCount;
	if (nbB!=nbB1 || h!=h1 || l!=l1)
	{
		//Image destination de la taille image source
		freeimage(m_pd->image);
		rcode=allocimage(m_pd->image,l,h,nbB);
	}
	if (rcode!=0) AfxMessageBox("(1) Erreur dans fonction CPhas4Dlg::OnOK");

	m_pd->m_iL=l;m_pd->m_iH=h;m_pd->m_iNbB=nbB;
	m_pd->m_sNomFic.Format("ImPhasee%d",m_pd->m_iNo);
	m_pd->DimensionnerFenetre(l,h);
	m_pd->DefinirCurseurs(l,h);
	m_pd->m_iType=0;
	m_pd->InitTracker();//Pas de tracker sur la destination...

	//Image temporaire
	l2=m_pApp->imt[0]->endx-m_pApp->imt[0]->stx+1;
	h2=m_pApp->imt[0]->endy-m_pApp->imt[0]->sty+1;
	nbB2=m_pApp->imt[0]->bmh->biBitCount;
	if (l!=l2 || h!=h2 || nbB!=nbB2)
	{
		freeimage(m_pApp->imt[0]);
		rcode=allocimage(m_pApp->imt[0],l,h,nbB);
	}
	if (rcode!=0) AfxMessageBox("(2) Erreur dans fonction CPhas4Dlg::OnOK");
	//Calcul de l'image phase entre [0 et 255]
	float r;
	for (i=0;i<m_ps1->m_iL;i++)
	{
		for (j=0;j<m_ps1->m_iH;j++)
		{
			w1=getpixelcolor(m_ps1->image,i,j);
			w2=getpixelcolor(m_ps2->image,i,j);
			w3=getpixelcolor(m_ps3->image,i,j);
			w4=getpixelcolor(m_ps4->image,i,j);
			if(w1-w3==0)
			{
				r=0;
			}
			else
			{
				r=atan3(1.0*(w4-w2),1.0*(w1-w3));
			}
			//Intervalle [0, 255]
			//r=255.0*(r+3.14)/6.28;
			r=255.0*r/6.28;
			if (r<0) r=0;
			if (r>255) r=255;
			w=(long)(r);
			setpixelcolor(m_pApp->imt[0],i,j,w);
		}
	}
	rcode=copyimage(m_pApp->imt[0],m_pd->image);
	if (rcode!=0) AfxMessageBox("(3) Erreur dans fonction CPhas4Dlg::OnOK");

	//m_pd->PositionnerFenetre(0,0);
	m_pd->PositionnerFenetre(m_pd->m_iL+15+40,m_pd->m_iH+30+40);
	CDialog::OnOK();
}
//________________________________________
void CPhas4Dlg::OnTimer(UINT nIDEvent) 
{
	//Validation du bouton OK si 4 images diffrentes slectionnes
	UpdateData(TRUE);
	BOOL ok=FALSE;
	//Si l'utilisateur n'a pas touch aux combos...
	if (m_comboSource1.GetCurSel()<0)
		m_ps1=m_pDoc[m_comboSource1.GetCount()-4];
	else
		m_ps1=m_pDoc[m_comboSource1.GetCurSel()];
	if (m_comboSource2.GetCurSel()<0)
		m_ps2=m_pDoc[m_comboSource2.GetCount()-3];
	else
		m_ps2=m_pDoc[m_comboSource2.GetCurSel()];
	if (m_comboSource3.GetCurSel()<0)
		m_ps3=m_pDoc[m_comboSource3.GetCount()-2];
	else
		m_ps3=m_pDoc[m_comboSource3.GetCurSel()];
	if (m_comboSource4.GetCurSel()<0) 
		m_ps4=m_pDoc[m_comboSource4.GetCount()-1];
	else
		m_ps4=m_pDoc[m_comboSource4.GetCurSel()];
	if (m_comboDest.GetCurSel()<0) 
		m_pd=m_pDoc[m_comboDest.GetCount()-1];
	else
		m_pd=m_pDoc[m_comboDest.GetCurSel()];
	
	if (m_ps1!=m_ps2 && m_ps1!=m_ps3 && m_ps1!=m_ps4) 
	{
		if (m_ps2!=m_ps1 && m_ps2!=m_ps3 && m_ps2!=m_ps4) 
		{
			if (m_ps3!=m_ps1 && m_ps3!=m_ps2 && m_ps3!=m_ps4) 
			{
				if (m_ps4!=m_ps1 && m_ps4!=m_ps2 && m_ps4!=m_ps3) 
				{
					ok=TRUE;
				}
			}
		}
	}
	if (ok!=m_OK)
	{
		m_OK=!m_OK;
		m_btnOK.EnableWindow(m_OK);
	}
	if (!ok) m_s7="Les 4 images ne sont pas diffrentes!"; else m_s7=""; 
	//m_s7.Format ("(%s-%s)/(%s- %s)",m_ps4->m_sNomFic,m_ps2->m_sNomFic,m_ps1->m_sNomFic,m_ps3->m_sNomFic);
	UpdateData(FALSE);
	CDialog::OnTimer(nIDEvent);
}
//________________________________________
float CPhas4Dlg::atan3(float n,float d)
{
	float r;
	if (fabs(d)<1e-8)
		r=1e10;
	else
	{
		r=atan(n/d);
		if (n>0)
		{
			//Numrateur positif
			if (r>0)
			{
				//Tangente positive et numrateur positif: 1er quadrant
			}
			else
			{
				//Tangente ngative et numrateur positif: 2me quadrant
				r=r+3.1415;
			}
		}
		else
		{
			//Numrateur ngatif
			if (r>0)
			{
				//Tangente positive et numrateur ngatif: 3me quadrant
				r=r+3.1445;
			}
			else
			{
				//Tangente ngative et numrateur ngatif: 4me quadrant
				r=r+6.28;
			}

		}
	}
	return r;
}
