// piezodlg.cpp : implementation file
//
#include "stdafx.h"
#include "bk.h"
#include "piezodlg.h"
//#include "bkdoc.h"
#include "piezo.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif
//////////////////////////////////////////
// CPiezoDlg dialog
CPiezoDlg::CPiezoDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CPiezoDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CPiezoDlg)
	m_iU = 0;
	m_radioPort = -1;
	m_sTexte = _T("");
	//}}AFX_DATA_INIT
}
void CPiezoDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPiezoDlg)
	DDX_Text(pDX, IDC_U, m_iU);
	DDX_Radio(pDX, IDC_COM1, m_radioPort);
	DDX_Text(pDX, IDC_STATIC_PIEZO, m_sTexte);
	//}}AFX_DATA_MAP
}
BEGIN_MESSAGE_MAP(CPiezoDlg, CDialog)
	//{{AFX_MSG_MAP(CPiezoDlg)
	ON_BN_CLICKED(IDC_COM1, OnCom1)
	ON_BN_CLICKED(IDC_COM2, OnCom2)
	ON_EN_KILLFOCUS(IDC_U, OnKillfocusU)
	ON_BN_CLICKED(IDENVOYER, OnEnvoyer)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()
//////////////////////////////////////////
// CPiezoDlg message handlers
void CPiezoDlg::OnCom1()
{
	m_radioPort=0;
	m_pApp->m_radioPortSeriePiezo=0;
}
//________________________________________
void CPiezoDlg::OnCom2()
{
	m_radioPort=1;
	m_pApp->m_radioPortSeriePiezo=1;
}
//________________________________________
void CPiezoDlg::OnKillfocusU()
{
	UpdateData(TRUE);
	if (m_iU<0) m_iU=0;
	if (m_iU>100) m_iU=100;
	UpdateData(FALSE);
}
//________________________________________
void CPiezoDlg::OnEnvoyer()
{
	class CPiezo *m_pPiezo;
	m_pPiezo=new CPiezo(m_pApp->m_radioPortSeriePiezo);
	m_sTexte.Format("COM%d,9600,8,N,1\nU(V):%3u",m_pApp->m_radioPortSeriePiezo+1,m_iU);
	UpdateData(FALSE);
	m_pPiezo->Tension(m_iU);	
	delete m_pPiezo;
}
//________________________________________
BOOL CPiezoDlg::OnInitDialog()
{
	CDialog::OnInitDialog();
	m_pApp=(CBkApp*)AfxGetApp();
	m_radioPort=m_pApp->m_radioPortSeriePiezo;
	m_sTexte.Format("Pour transmettre la tension U, cliquer sur Transmettre.\nBasculer l'interrupteur sur LINE...");
	UpdateData(FALSE);
	return TRUE;
}
//________________________________________
void CPiezoDlg::OnOK() 
{
	//Supprim
	//CDialog::OnOK();
}
