// SteinDlg.h : header file
//////////////////////////////////////////
// CSteinDlg dialog
class CSteinDlg : public CDialog
{
// Construction
public:
	CSteinDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CSteinDlg)
	enum { IDD = IDD_DEPH_STEIN };
	CButton	m_btnSM256;
	CButton	m_btnAuto;
	CButton	m_btnVisu;
	CButton	m_btnTempo;
	CComboBox	m_comboSM256;
	CComboBox	m_comboRef;
	CString	m_s17;
	CString	m_s14;
	CString	m_sU0;
	CString	m_sU1;
	CString	m_sU2;
	CString	m_sU3;
	CString	m_sU4;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSteinDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void PostNcDestroy();
	//}}AFX_VIRTUAL

// Implementation
protected:
	class CBkApp *m_pApp;
	class CBkDoc *m_ps,*m_pp,*m_pDoc[20],*m_pr;
	class CPiezo *m_pPiezo;

	short m_iNb,m_iN,m_iI;
	BOOL m_OKP;
	short 
		m_iU0,m_iU1,m_iU2,m_iU3,m_iU4;

	imgdes *im0,*im90,*im180,*im270;

	void PremiereFois();
	void Calcul();
	float	atan3(float n,float d);
	void Validite();

	// Generated message map functions
	//{{AFX_MSG(CSteinDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnAcqauto();
	afx_msg void OnVisu();
	afx_msg void OnSoustraction();
	afx_msg void OnImtempo();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
